searchData={"content_type":"text/markdown","items":[{"doc":"Runs Semantic Release.\n\nAutomatically installs Semantic Release and other dependencies by running `Mix.Tasks.SemanticRelease.Install`.\n\n> #","ref":"Mix.Tasks.SemanticRelease.html","title":"mix semantic_release","type":"task"},{"doc":">\n> This is a pre-release version. As such, anything _may_ change at any time, the public\n> API _should not_ be considered stable, and using a pinned version is _recommended_.\n\nUsage:\n\n    $ mix semantic_release\n    $ mix semantic_release CLI_ARGS\n\nRefer to the [Semantic Release documentation][1] for available CLI arguments.\n\n\n[1]: https://semantic-release.gitbook.io/semantic-release/usage/configuration#options","ref":"Mix.Tasks.SemanticRelease.html#module-warning-warning","title":"Warning {: .warning} - mix semantic_release","type":"task"},{"doc":"Installs Semantic Release and other dependencies.\n\n> #","ref":"Mix.Tasks.SemanticRelease.Install.html","title":"mix semantic_release.install","type":"task"},{"doc":">\n> This is a pre-release version. As such, anything _may_ change at any time, the public\n> API _should not_ be considered stable, and using a pinned version is _recommended_.\n\nUsage:\n\n    $ mix semantic_release.install","ref":"Mix.Tasks.SemanticRelease.Install.html#module-warning-warning","title":"Warning {: .warning} - mix semantic_release.install","type":"task"},{"doc":"# Semantic Release for Elixir\n\n[![Hex.pm Version](https://img.shields.io/hexpm/v/semantic_release.svg)](https://hex.pm/packages/semantic_release)\n[![Hex.pm Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/semantic_release/)\n[![Hex.pm Downloads](https://img.shields.io/hexpm/dw/semantic_release.svg)](https://hex.pm/packages/semantic_release)\n[![Last Commit](https://img.shields.io/github/last-commit/unill-io/semantic_release.svg)](https://github.com/unill-io/semantic_release/)\n\nMix tasks for installing and running [`semantic-release`](https://github.com/semantic-release/semantic-release/) (and the adapter plugin [`semantic-release-hex`](https://github.com/unill-io/semantic-release-hex/)) in Elixir projects.\n\n> **⚠️ WARNING**\n>\n> This is a pre-release version. As such, anything _may_ change\n> at any time, the public API _should not_ be considered stable,\n> and using a pinned version is _recommended_.\n\n> **Disclaimer**: Because `semantic-release` is written in JavaScript, this package will install Node.js in your `_build/` folder upon running.\n>\n> See the [`nodelix` documentation](https://hexdocs.pm/nodelix/) for more information on how Node.js is installed.","ref":"readme.html","title":"Semantic Release for Elixir","type":"extras"},{"doc":"`gpg` must be available in your PATH to verify the signature of Node.js releases.\n\nThe package can be installed by adding `semantic_release` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:semantic_release, \"1.0.0-alpha.9\", only: :dev, runtime: false}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - Semantic Release for Elixir","type":"extras"},{"doc":"You can list additional npm packages to be passed to the `npm install` command:\n\n```elixir\nconfig :semantic_release,\n  additional_packages: [\n    \"@semantic-release/changelog\",\n    \"@semantic-release/git\",\n  ]\n```\n\nThis can also be used to override automatically installed package versions:\n\n```elixir\nconfig :semantic_release,\n  additional_packages: [\n    \"semantic-release-hex@next\",\n    \"@semantic-release/changelog\",\n    \"@semantic-release/git\",\n  ]\n```","ref":"readme.html#configuration","title":"Configuration - Semantic Release for Elixir","type":"extras"},{"doc":"This project follows the principles of [Semantic Versioning (SemVer)](https://semver.org/).","ref":"readme.html#versioning","title":"Versioning - Semantic Release for Elixir","type":"extras"},{"doc":"# Changelog\n\n## [1.0.0-alpha.9](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.8...v1.0.0-alpha.9) (2025-01-10)\n\n#","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"* **deps:** update minimum nodelix version to 1.0.0-alpha.15 ([0a1a28b](https://github.com/unill-io/semantic_release/commit/0a1a28b609acaff968cc3e0c5df9a7fdd92eb19d))\n\n## [1.0.0-alpha.8](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.7...v1.0.0-alpha.8) (2025-01-09)\n\n#","ref":"changelog.html#builds","title":"🛠 Builds - Changelog","type":"extras"},{"doc":"* **deps:** update minimum nodelix version to 1.0.0-alpha.14 ([b29bf28](https://github.com/unill-io/semantic_release/commit/b29bf28544aeb02925f287a9ddb98fb70ed14a4e))\n\n#","ref":"changelog.html#builds","title":"🛠 Builds - Changelog","type":"extras"},{"doc":"* **action:** update actions/cache action to v4.2.0 ([#22](https://github.com/unill-io/semantic_release/issues/22)) [skip ci] ([19d90bf](https://github.com/unill-io/semantic_release/commit/19d90bf6c11d623a9d7d3faa0443a510cff61fac))\n* **action:** update actions/checkout action to v4.2.2 ([#23](https://github.com/unill-io/semantic_release/issues/23)) [skip ci] ([5f766c5](https://github.com/unill-io/semantic_release/commit/5f766c51acbfd53acae5fb75c56daa202beb97d8))\n* **action:** update erlef/setup-beam action to v1.18.2 ([#24](https://github.com/unill-io/semantic_release/issues/24)) [skip ci] ([575d59d](https://github.com/unill-io/semantic_release/commit/575d59dd715a87b9d9fb69caefc2a80c9a325a75))\n\n#","ref":"changelog.html#continuous-integrations","title":"⚙️ Continuous Integrations - Changelog","type":"extras"},{"doc":"* **config:** migrate renovate config ([#25](https://github.com/unill-io/semantic_release/issues/25)) [skip ci] ([f6725d8](https://github.com/unill-io/semantic_release/commit/f6725d83bc5bf37f0312d8e06528876cdbdf1036))\n* **deps:** update lock nodelix version to 1.0.0-alpha.13 ([9dd9f1d](https://github.com/unill-io/semantic_release/commit/9dd9f1d99eb0a86ad1c27d6e643a81e846a48319))\n* update repository URL & copyright owner ([460cc2f](https://github.com/unill-io/semantic_release/commit/460cc2f72fa285d0bbf8d97c175807a7a7a07870))\n\n## [1.0.0-alpha.7](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.6...v1.0.0-alpha.7) (2024-06-20)\n\n#","ref":"changelog.html#chores","title":"♻️ Chores - Changelog","type":"extras"},{"doc":"* **deps:** update dependency nodelix to v1.0.0-alpha.12 ([786c16e](https://github.com/unill-io/semantic_release/commit/786c16e65b5aa635ef2c041e7a0b9a2b71f295e4))\n\n#","ref":"changelog.html#builds","title":"🛠 Builds - Changelog","type":"extras"},{"doc":"* fix renovate config ([1618387](https://github.com/unill-io/semantic_release/commit/1618387bec75001a769d395d5a4661f416b19bf0))\n\n## [1.0.0-alpha.6](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.5...v1.0.0-alpha.6) (2024-06-11)\n\n#","ref":"changelog.html#chores","title":"♻️ Chores - Changelog","type":"extras"},{"doc":"* **deps:** upgrade dependency nodelix to 1.0.0-alpha.11 ([ebae37c](https://github.com/unill-io/semantic_release/commit/ebae37c9b48b5ec5d0802c20b24e8f399f90ebcc))\n\n#","ref":"changelog.html#builds","title":"🛠 Builds - Changelog","type":"extras"},{"doc":"* **action:** update actions/checkout action to v4.1.6 ([#17](https://github.com/unill-io/semantic_release/issues/17)) ([ed710f5](https://github.com/unill-io/semantic_release/commit/ed710f585d6adb66b41471766af2b5639b94ac4b))\n\n## [1.0.0-alpha.5](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.4...v1.0.0-alpha.5) (2024-05-04)\n\n#","ref":"changelog.html#continuous-integrations","title":"⚙️ Continuous Integrations - Changelog","type":"extras"},{"doc":"* **deps:** update dependency nodelix to == 1.0.0-alpha.10 ([#6](https://github.com/unill-io/semantic_release/issues/6)) ([93a434b](https://github.com/unill-io/semantic_release/commit/93a434b41919f6f832b8bcbaff435f86761f3d1d))\n\n\n#","ref":"changelog.html#builds","title":"🛠 Builds - Changelog","type":"extras"},{"doc":"* **action:** update actions/cache action to v4 ([#15](https://github.com/unill-io/semantic_release/issues/15)) ([a08f54e](https://github.com/unill-io/semantic_release/commit/a08f54effa1adba15d18f7bdf021687986b6bfe0))\n* **action:** update actions/checkout action to v4.1.4 ([#8](https://github.com/unill-io/semantic_release/issues/8)) ([92271e4](https://github.com/unill-io/semantic_release/commit/92271e46b518fb3eb3c87b9d87c6380df249a595))\n* **action:** update erlef/setup-beam action to v1.17.5 ([#11](https://github.com/unill-io/semantic_release/issues/11)) ([85fd170](https://github.com/unill-io/semantic_release/commit/85fd17040c7e45c573fa6b6ce8604beb19fdce01))\n* **action:** update insurgent-lab/is-in-pr-action action to v0.2.0 ([#12](https://github.com/unill-io/semantic_release/issues/12)) ([b9c02c2](https://github.com/unill-io/semantic_release/commit/b9c02c2027fe7bcc9bda1b619002109633479c2b))\n* **renovate:** configure renovate ([c7dc4d4](https://github.com/unill-io/semantic_release/commit/c7dc4d4d271768471d81f25f53889b44098f2538))\n* **renovate:** disable erlang / elixir updates ([1b5da45](https://github.com/unill-io/semantic_release/commit/1b5da454203ffda3a84e03491fc48ef6fbd894b5))\n\n\n#","ref":"changelog.html#continuous-integrations","title":"⚙️ Continuous Integrations - Changelog","type":"extras"},{"doc":"* **readme:** add Hex.pm badges ([26d9849](https://github.com/unill-io/semantic_release/commit/26d98499e20b4d14f6e58bbb2ac0d7cf031aca93))\n* remove old nodejs related stuff ([a136984](https://github.com/unill-io/semantic_release/commit/a136984ca6f87a1468011d1bb487ce604d045e77))\n\n## [1.0.0-alpha.4](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.3...v1.0.0-alpha.4) (2024-03-25)\n\n\n#","ref":"changelog.html#chores","title":"♻️ Chores - Changelog","type":"extras"},{"doc":"* update npm during installation ([db9db53](https://github.com/unill-io/semantic_release/commit/db9db53cc3e6a22cb4a899214c4540ed25fb5888)), closes [#2](https://github.com/unill-io/semantic_release/issues/2)\n\n## [1.0.0-alpha.3](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.2...v1.0.0-alpha.3) (2023-12-10)\n\n\n#","ref":"changelog.html#bug-fixes","title":"🐛 Bug Fixes - Changelog","type":"extras"},{"doc":"* force node.js installation on CI ([6fc201d](https://github.com/unill-io/semantic_release/commit/6fc201d0587b833111b59ffffbd5f952d368c845))\n\n## [1.0.0-alpha.2](https://github.com/unill-io/semantic_release/compare/v1.0.0-alpha.1...v1.0.0-alpha.2) (2023-12-01)\n\n\n#","ref":"changelog.html#bug-fixes","title":"🐛 Bug Fixes - Changelog","type":"extras"},{"doc":"* set nodelix as a production dependency ([49bcd09](https://github.com/unill-io/semantic_release/commit/49bcd095bdeb7cff93a0d3f3090eb2bb79f50231))\n\n\n#","ref":"changelog.html#bug-fixes","title":"🐛 Bug Fixes - Changelog","type":"extras"},{"doc":"* **deps:** update dependency nodelix to v1.0.0-alpha.9 ([5062102](https://github.com/unill-io/semantic_release/commit/5062102d8c5e22a3aef115bec86c09960a26636a))","ref":"changelog.html#builds","title":"🛠 Builds - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#1-0-0-alpha-1-2023-11-30","title":"1.0.0-alpha.1 (2023-11-30) - Changelog","type":"extras"},{"doc":"* add additional packages configuration ([ac56412](https://github.com/unill-io/semantic_release/commit/ac56412e30720d745a45336038b2215ee928c716))\n* install and run semantic-release ([755f0d4](https://github.com/unill-io/semantic_release/commit/755f0d490f1218ace6d6c25233a21bd830e03bcb))\n\n\n#","ref":"changelog.html#features","title":"✨ Features - Changelog","type":"extras"},{"doc":"* use self for calling semantic-release ([d50c317](https://github.com/unill-io/semantic_release/commit/d50c3175a73b17c070631a8ab4515d63a9334808))\n\n\n#","ref":"changelog.html#continuous-integrations","title":"⚙️ Continuous Integrations - Changelog","type":"extras"},{"doc":"* first commit ([c098b8c](https://github.com/unill-io/semantic_release/commit/c098b8c3befec75b7a960899e1a19d43f543ba74))","ref":"changelog.html#chores","title":"♻️ Chores - Changelog","type":"extras"},{"doc":"# MIT License\n\nCopyright (C) 2023 Unill\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"MIT License","type":"extras"}]}